#!/bin/bash

timestamp=`date +%Y%m%d-%H%M%S`
if [ `whoami` != "root" ]
then
  echo "This need to be run as root"
  exit 1
fi

for mod in vsock vmmon
do
  SRC="/usr/lib/vmware/modules/source/${mod}.tar"
  cp ${SRC} ${SRC}-${timestamp}
  tar -xf ${SRC}
  cd ${mod}-only
  patch -p1 < ../${mod}-2.6.35.diff
  res=$?
  cd ..
  if [ $res -ne 0 ]
  then
    echo "[${mod}-only] Failed to apply patch"
    rm -rf ${mod}-only
    exit 1
  else
    echo "[${mod}-only] Patch applied successfully"
  fi

  tar cf ${mod}.tar ${mod}-only
  cp ${mod}.tar ${SRC}
  rm -rf ${mod}.tar ${mod}-only
done
